package com.example.tdl.mapper;


import com.example.tdl.domain.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TDLDeviceMapper {
    List<ResultTDLDeviceVo> getAll();

    List<ResultTDLDeviceVo> getByTerm(TDLDeviceTermVo tdlDeviceTermVo);

    int addTDLDevice(AddTDLDeviceVo addTDLDeviceVo);

    int updateTDLDevice(UpdateTDLDeviceVo updateTDLDeviceVo);

    int delTDLDevice(String TDLSN);

    ResultTDLDeviceVo getByTDLSN(String TDLSN);

    List<String> getByGatewaySN(@Param("SN") String SN, @Param("type") String type);

    List<String> getTdlSN(@Param("SN") String SN, @Param("type") String type);

    String getTdl(@Param("SN") String SN, @Param("type") String type);

    List<TdlSNVo> getUnusedTDL(String TDLSN);

    ResultTDLDeviceVo getByTransportationNo(String transportationNo);
}
