package com.example.tdl.mapper;


import com.example.tdl.domain.vo.*;
import com.example.tdl.entity.Warehouse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;
import java.util.Map;


@Mapper
public interface WarehouseMapper {
    List<ResultWarehouseVo> getAll(String  companyName);

    List<ResultWarehouseVo> getAllByTerm(WarehouseTermVo warehouseTermVo);

    List<SimpleWarehouseVo> getByWarehouse(WareHouseByTermVo wareHouseByTermVo);

    List<DeviceVo> getDevice(String  warehouseNo);

    Integer  getWarehouseNo(String warehouseNo);

    Integer getByWarehouseNoAndSN(@Param("warehouseNo") String warehouseNo,@Param("SN") String SN);

    int addWarehouse(Map<Object,Object> map);

    int updateWarehouse(Map<Object,Object> map);

    int delWarehouse(Map<Object,Object> map);

    int addGateway(Map<Object,Object> map);

    int untieGateway(Map<Object,Object> map);

    int addUser(Map<Object,Object> map);

    ResultWarehouseVo getByWarehouseName(@Param("warehouseName") String warehouseName, @Param("companyName") String companyName);

    List<ResultWarehouseVo> getByAlarm(DelAlarmVo delAlarmVo);

    List<GatewaySNVo> getGateway(String warehouseNo);


}
